package mi.hdm.recipes;

import mi.hdm.exceptions.InvalidIngredientException;

public class Ingredient implements RecipeComponent {
    private final Measurement unit;
    private final String name;
    private final NutritionTable nutritionTable;

    public Ingredient(Measurement unit, String name, NutritionTable nutritionTable) {
        if (name == null || name.equals("")) {
            throw new InvalidIngredientException("Can not add ingredient with name " + name);
        }
        if (nutritionTable == null) {
            throw new InvalidIngredientException("Can not add ingredient without Nutrition Table");
        }

        this.unit = unit;
        this.name = name;
        this.nutritionTable = nutritionTable;
    }

    public String getName() {
        return name;
    }
    public NutritionTable getNutritionTable() {
        return nutritionTable;
    }

    @Override
    public boolean equals(Object o){
        if (o instanceof Ingredient) {
            Ingredient in = (Ingredient) o;
            return this.name.equals(in.getName());
        }
        return false;
    }
}
